<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/2.3.0/flowbite.min.js"></script> -->
<!-- <script src="./node_modules/flowbite/dist/flowbite.min.js"></script> -->
<script setup>
import { onMounted } from 'vue'
import { initFlowbite } from 'flowbite'

// initialize components based on data attribute selectors
onMounted(() => {
    initFlowbite();
})
</script>
<template>
    <button data-drawer-target="default-sidebar" data-drawer-toggle="default-sidebar" aria-controls="default-sidebar" type="button" class="inline-flex items-center p-2 mt-2 ms-3 text-sm text-gray-500 rounded-lg sm:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600">
        <span class="sr-only">Open sidebar</span>
            <svg class="w-6 h-6" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
            <path clip-rule="evenodd" fill-rule="evenodd" d="M2 4.75A.75.75 0 012.75 4h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 4.75zm0 10.5a.75.75 0 01.75-.75h7.5a.75.75 0 010 1.5h-7.5a.75.75 0 01-.75-.75zM2 10a.75.75 0 01.75-.75h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 10z"></path>
        </svg>
    </button>

    <aside id="default-sidebar" class="fixed top-0 left-0 z-40 w-64 h-screen transition-transform -translate-x-full sm:translate-x-0" aria-label="Sidebar">
        <div class="h-full px-3 py-4 overflow-y-auto bg-gradient-to-r from-gray-200 dark:from-gray-800 from-30%">
            <ul class="space-y-2 font-medium">
                <li>
                    <a aria-current="page" href="/" class="router-link-active router-link-exact-active text-xl"> 
                        paxpar<sup>lite</sup>
                        <span class="ms-1 inline-flex items-center font-medium rounded-lg text-sm px-2 py-1 bg-emerald-200 dark:bg-blue-400 dark:bg-opacity-10 text-emerald-900 dark:text-blue-400 ring-1 ring-inset ring-emerald-500 dark:ring-blue-400 ring-opacity-25 dark:ring-opacity-25 mb-0.5">
                            .tech
                        </span>
                    </a>
                </li>
                <li>
                    <NuxtLink to="craftforms" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 ease-in duration-200 dark:hover:bg-gray-700 group">
                        <svg class="w-6 h-6 text-gray-500 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 4h3a1 1 0 0 1 1 1v15a1 1 0 0 1-1 1H6a1 1 0 0 1-1-1V5a1 1 0 0 1 1-1h3m0 3h6m-3 5h3m-6 0h.01M12 16h3m-6 0h.01M10 3v4h4V3h-4Z"/>
                        </svg>                          
                        <span class="flex-1 ms-3 whitespace-nowrap">craftforms</span>
                    </NuxtLink>
                </li>
                <li>
                    <NuxtLink to="checklists" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 ease-in duration-200 dark:hover:bg-gray-700 group">
                        <svg class="w-6 h-6 text-gray-500 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 3v4a1 1 0 0 1-1 1H5m5 4-2 2 2 2m4-4 2 2-2 2m5-12v16a1 1 0 0 1-1 1H6a1 1 0 0 1-1-1V7.914a1 1 0 0 1 .293-.707l3.914-3.914A1 1 0 0 1 9.914 3H18a1 1 0 0 1 1 1Z"/>
                        </svg>                          
                        <span class="flex-1 ms-3 whitespace-nowrap">checklists</span>
                    </NuxtLink>
                </li>
                <li>
                    <NuxtLink to="about" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 ease-in duration-200 dark:hover:bg-gray-700 group">
                        <svg class="w-6 h-6 text-gray-500 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 17h6m-3 3v-6M4.857 4h4.286c.473 0 .857.384.857.857v4.286a.857.857 0 0 1-.857.857H4.857A.857.857 0 0 1 4 9.143V4.857C4 4.384 4.384 4 4.857 4Zm10 0h4.286c.473 0 .857.384.857.857v4.286a.857.857 0 0 1-.857.857h-4.286A.857.857 0 0 1 14 9.143V4.857c0-.473.384-.857.857-.857Zm-10 10h4.286c.473 0 .857.384.857.857v4.286a.857.857 0 0 1-.857.857H4.857A.857.857 0 0 1 4 19.143v-4.286c0-.473.384-.857.857-.857Z"/>
                        </svg>
                        <span class="flex-1 ms-3 whitespace-nowrap">about</span>
                    </NuxtLink>
                </li>
                <li>
                    <NuxtLink to="contact" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 ease-in duration-200 dark:hover:bg-gray-700 group">
                        <svg class="w-6 h-6 text-gray-500 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 6H5m2 3H5m2 3H5m2 3H5m2 3H5m11-1a2 2 0 0 0-2-2h-2a2 2 0 0 0-2 2M7 3h11a1 1 0 0 1 1 1v16a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1V4a1 1 0 0 1 1-1Zm8 7a2 2 0 1 1-4 0 2 2 0 0 1 4 0Z"/>
                        </svg>
                        <span class="flex-1 ms-3 whitespace-nowrap">contact</span>
                    </NuxtLink>
                </li>
            </ul>
        </div>
    </aside>
        
</template>